Skip to main content
GET
/
builders
/
{builderId}
/
meetings
/
{meetingId}
/
notes
cURL
curl --request GET \
  --url https://api.buildpass.global/builders/{builderId}/meetings/{meetingId}/notes \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "mnote_clgbsb90b001qjy0f0eo1hspp",
      "builderId": "buil_clgbsb90b001qjy0f0eo1hspp",
      "meetingId": "extapitoolboxmeeting01",
      "authorAdminUserId": null,
      "source": "MANUAL",
      "sourceApp": "supasite",
      "sourceDeepLink": "buildpass://meetings/extapitoolboxmeeting01/notes/external-note-123",
      "sourceWebLink": "https://app.buildpass.com.au/meetings/extapitoolboxmeeting01",
      "externalSourceId": "external-note-123",
      "title": "Site walk note",
      "summaryMarkdown": "Captured decisions from the site walk.",
      "detailBlocks": [
        {}
      ],
      "actionItems": [
        {
          "text": "Upload site photos"
        }
      ],
      "capturedStartedAt": "2026-01-15T12:00:00.000Z",
      "capturedEndedAt": "2026-01-15T12:10:00.000Z",
      "archivedAt": null,
      "createdAt": "2026-01-15T12:00:00.000Z",
      "updatedAt": "2026-01-15T12:00:00.000Z"
    }
  ],
  "meta": {
    "totalCount": 100,
    "totalPages": 4,
    "offset": 0,
    "limit": 25
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

builderId
string
required
Example:

"buil_clgbsb90b001qjy0f0eo1hspp"

meetingId
string
required
Example:

"extapitoolboxmeeting01"

Query Parameters

offset
integer
default:0

The number of items to skip before starting to collect the result set

Example:

0

limit
integer
default:25

The number of items to return.

Required range: x <= 25
Example:

25

Response

A list of meeting notes

data
object[]
meta
object